const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const blocks = sequelize.define(
    'blocks',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

reason: {
        type: DataTypes.TEXT,
      
      

      },

blocked_at: {
        type: DataTypes.DATE,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  blocks.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity




























//end loop



    db.blocks.belongsTo(db.users, {
      as: 'blocker',
      foreignKey: {
        name: 'blockerId',
      },
      constraints: false,
    });

    db.blocks.belongsTo(db.users, {
      as: 'blocked',
      foreignKey: {
        name: 'blockedId',
      },
      constraints: false,
    });




    db.blocks.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.blocks.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return blocks;
};


